#include<stdio.h>
void resavaj(int x,int a)
{
	int jedan=1,nula=0;
		if((x/2)<a)
		{
			if(x==2*a-1)
			{
				if(a==2)
				{
					printf("-1");
					return;
				}
				
				x=x-1;
				printf("%d %d\n",a,jedan);
				printf("%d %d\n",a,nula);
				printf("%d %d\n",a,x-a);
				return;
			}
			if(x!=2*a-1)
			{
   				printf("%d %d\n",a,nula);
				printf("%d %d\n",a,nula);
				printf("%d %d\n",a,x-a);
				return;
			}
			
		}
		if((x/2)>=a)
		{
			if(x%2==1)
			{
				if(a==2)
				{
				printf("-1");
					return;
				}
				if(a>2)
				{
					x=x-1;
					printf("%d %d\n",a,jedan);
			        printf("%d %d\n",a,nula);
			        printf("%d %d\n",(x/2)+1,(x/2)-1);
			        return;
				}
			}
			if(x%2==0)
			{
				printf("%d %d\n",a,nula);
                printf("%d %d\n",a,nula);
                printf("%d %d\n",(x/2)+1,(x/2)-1);
                return;
			}
			
		}
}
main()
{
	int n,a,x,d,c,nula=0,jedan=1;
	scanf("%d%d",&n,&a);
	if(n<3*a)
	printf("-1");
	else
	{
		x=n-2*a;
	resavaj(x,a);
	}
}